package lapes.ufscar.br.Exemplo01;

import static org.junit.Assert.*;

import java.util.HashMap;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;

public class TesteAlteraPessoa {
	
	private static HashMap<String, String> inputdata = new HashMap<String, String>();
	private static WebDriver driver;
	
	@BeforeClass
	public static void setUpTest() throws InterruptedException {
		inputdata.put("id","2");
		inputdata.put("nome","LUIZ CAVAMURA JUNIOR");
		inputdata.put("peso","2.3");
		inputdata.put("tipo","ALUNO");
		inputdata.put("nascimento","2019-11-06");
		System.setProperty("webdriver.chrome.driver", "C:\\Users\\cavamura\\Desktop\\chromedriver_win32\\chromedriver.exe");
		driver = new ChromeDriver();
		driver.get("http://lcvm.com.br/sistemas/aulateste/admin/registros/");
		Thread.sleep(2000);  
	}
	

	@AfterClass
	public static void tearDownTest() {
		driver.quit();
	}


	@Test
	public void test() throws InterruptedException{
		//lixo
		int n = 0;
		
		//LOGIN
		driver.get("http://lcvm.com.br/sistemas/aulateste/admin/registros/");
		WebElement e1 = driver.findElement(By.name("usuario"));
		e1.sendKeys("CPA");
		WebElement e2 = driver.findElement(By.name("senha"));
		e2.sendKeys("#cpa#");
		driver.findElement(By.xpath("//input[@type='submit']")).click();
		assertEquals("Falha ao logar",driver.getCurrentUrl(), "http://lcvm.com.br/sistemas/aulateste/admin/registros/principal.php");
		System.out.println("Login realizado");

		
		//PESSOAS - SELECIONA PESSOA
		System.out.println("CT03:" + driver.getCurrentUrl());
		assertTrue("Nome não consta na lista",driver.getPageSource().contains(inputdata.get("nome")));
		System.out.println("Dados foram exibidos");
		WebElement e3 = driver.findElement(By.xpath("//input[@type='radio' and @name='editar' and @value='A2']"));
		e3.click();
		Thread.sleep(2000);  
		WebElement e4 = driver.findElement(By.xpath("//input[@type='image']"));
		e4.click();
		
		
		//FORMULARIO-RECUPERA DADOS
		System.out.println("CT03:" + driver.getCurrentUrl());
		assertTrue("Dados nao recuperados",	driver.findElement(By.id("nome")).getAttribute("value").contains(inputdata.get("nome")));
		System.out.println("Dados recuperados");
		driver.findElement(By.id("nome")).clear();
		driver.findElement(By.id("nome")).sendKeys(inputdata.get("nome") + " Alteracao " + n);
		Thread.sleep(2000);  
		driver.findElement(By.id("conf")).submit();
		

		//RETORNO DA OPERACAO
		System.out.println("CT03:" + driver.getCurrentUrl());
		assertTrue("Falha ao tentar alterar",driver.getPageSource().contains("Registro alterado"));
		System.out.println("Operacao realizada");
		Thread.sleep(2000);  
		driver.findElement(By.name("voltaralt")).submit();
 	
		
		//PESSOAS - EXIBE PESSOA ALTERADA
		Thread.sleep(2500);
		System.out.println("CT03:" + driver.getCurrentUrl());
		
		//System.out.println(inputdata.get("nome") + " Alteracao " + n);
		
		assertTrue("Nome alterado nao encontrado",driver.getPageSource().contains(inputdata.get("nome") + " Alteracao " + n));
		System.out.println("Nome alterado exibido");
	}

}
